For the complete documentation index, see llms.txt. This page is also available as Markdown.

v17 (retired)

Status

Retired March 8, 2026

No longer supported.

Summary

v17 is primarily focused on improving the stability and performance of order processing. It includes a few breaking changes from v16 (highlighted below).

Release notes

General

  • Removed network query parameter from the following endpoints. Default network is Polygon.

    • GET /activities

    • GET /carbonProjects

    • GET /carbonProjects/:id

    • GET /categories

    • GET /countries

    • GET /listings/:id

    • GET /listings

    • GET /purchases/:id

    • GET /purchases

    • GET /prices

    • GET /retirements

    • GET /retirements/:id

    • GET /retirements/:id/provenance

    • GET /vintages

Endpoints updated

GET /carbonProjects

  • [⚠️BREAKING CHANGE] Response entries are now paginated

  • Added a block_long_description field that contains a project description in PortableText format

GET /carbonProjects/:id

  • Added a block_long_description field that contains a project description in PortableText format

Endpoints added

GET /assessors

  • Returns the list of known project assessors (related to project verification and validation)

GET /developers

  • Returns the list of known project developers

GET /retirements/:beneficiaryAddress/:retirementIndex

  • Get retirement details for a completed retirement order. This replaces the endpoint that was present in previous versions (see Endpoints removed below)

GET /retirements/:beneficiaryAddress/:retirementIndex/provenance

  • Get the credit provenance history leading up to a completed retirement. This replaces the /provenance endpoint that was present in previous versions (see Endpoints removed below)

Endpoints removed

GET /retirements/:hash

  • [⚠️BREAKING CHANGE] This endpoint was removed because a transaction hash may now include more than one retirement. It has been replaced by /retirements/:beneficiaryAddress/:retirementIndex. See Endpoints added for more info. See migration path for alternatives.

GET /retirements/:hash/provenance

  • [⚠️BREAKING CHANGE] This endpoint was removed because a transaction hash may now include more than one retirement. It has been replaced by /retirements/:beneficiaryAddress/:retirementIndex. See Endpoints added for more info. See migration path for alternatives.

Migration Path

  • Carbon Projects endpoint

    • The /carbonProjects endpoint is now paginated. Your UI or system may need to be refactored to consume pages, rather than a complete list of projects. The project data is now provided in the items attribute of the response.

  • Retirement endpoints

Last updated